      Include "mpif.h"
      Integer I, numtasks, rank,ierr,sum
      Call MPI_INIT(ierr)
      CALL MPI_COMM_RANK(MPI_COMM_WORLD, rank,ierr)
      CALL MPI_COMM_SIZE(MPI_COMM_WORLD, numtasks,ierr)
      If(rank.eq.1)then
      sum=7
      Endif
      Call MPI_BCAST (sum,1,MPI_INTEGER,1,MPI_COMM_WORLD,ierr)
      print*,"sum=",sum,"on rank", rank
      CALL MPI_FINALIZE(ierr)
      end

